Download it now!
Bug 100691 - If hidden characters exist in headings, they appear visible in the table of contents
Summary: If hidden characters exist in headings, they appear visible in the table of c...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: TableofContents-Indexes redlinehide-regressions
  Show dependency treegraph
 
Reported: 2016-06-30 10:15 UTC by SANDRINE MARTIN
Modified: 2021-01-05 17:31 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Hidden text in the index (15.55 KB, application/pdf)
2016-06-30 10:15 UTC, SANDRINE MARTIN
Details
Hidden text in the index (10.82 KB, application/vnd.oasis.opendocument.text)
2016-07-04 07:42 UTC, SANDRINE MARTIN
Details

Note You need to log in before you can comment on or make changes to this bug.
Description SANDRINE MARTIN 2016-06-30 10:15:09 UTC
Created attachment 125998 [details]
Hidden text in the index

If hidden characters exist in the titles, they appear visible in the table of contents.
Comment 1 Buovjaga 2016-07-02 19:58:03 UTC Comment hidden (obsolete)
Comment 2 SANDRINE MARTIN 2016-07-04 07:42:38 UTC
Created attachment 126051 [details]
Hidden text in the index

Here is the original document
Comment 3 Buovjaga 2016-07-06 15:05:50 UTC
Confirmed (I updated index to make sure).

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: ef47ce2397d4ed453fe01d994d13a13f442ec3bb
CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Built on July 2nd 2016
Comment 4 QA Administrators 2018-07-14 02:45:02 UTC Comment hidden (obsolete)
Comment 5 Timur 2019-01-18 14:32:56 UTC
No repro LO 4.3. Repro 4.4 and 6.3+. Regression.
Comment 6 Buovjaga 2019-01-18 15:59:59 UTC
Bibisected on Linux 44max to https://gerrit.libreoffice.org/plugins/gitiles/core/+/e5345f62bf525b6258736f1ce11a61b5e638e0ff%5E!/

Unittest the whitespace stripping logic for tox text generation

It is not only a unit test.
Comment 7 Timur 2019-01-21 11:46:50 UTC Comment hidden (obsolete)
Comment 8 Buovjaga 2019-01-21 12:28:59 UTC
(In reply to Timur from comment #7)
> I add to CC author and committer.

The author is inactive and committer should not bear this burden, so removing. I skipped the CC on purpose.
Comment 9 Xisco Faulí 2019-01-23 17:47:41 UTC
Really weird the commit claims it's only a unittest, I'll try to take a look...
Comment 10 Xisco Faulí 2019-01-23 23:08:47 UTC
Hi Michael,
I see you modified sw/source/core/tox/ToxTextGenerator.cxx recently in your sw_redlinehide changes. Could you please take a look at this issue when you have some time ?
Comment 11 Commit Notification 2020-12-04 12:46:04 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/69a73d0443d408f04837c8781e8fd2296fdd49c6

tdf#100691 sw Table of Contents: remove hidden text

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2020-12-04 14:09:06 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/474f79224d2db89dc33bae89edd69979d53e745b

tdf#100691 sw Table of Contents: remove hidden text

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 NISZ LibreOffice Team 2021-01-05 17:31:05 UTC
Verified in:

Version: 7.2.0.0.alpha0+ (x64)
Build ID: 96bafa464ebdbce3ef04bec9beae5e745bb37794
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded